from turtle import *
import math

def draw_tile(size):
    "Draws one tile, which can be repeated to form a pattern."
    draw_tile_outline(size)
    draw_zigzag(size)

def draw_tile_outline(size):
    pencolor("#dddddd")
    square(size)

def draw_zigzag(size):
    forward(size/4)
    pencolor("black")
    left(45)
    forward(math.sqrt(2)*size/2)
    left(90)
    forward(math.sqrt(2)*size/2)
    left(45)
    fly(size/4)
    left(90)
    fly(size)
    left(90)

def fly(distance):
    "Moves without drawing."
    penup()
    forward(distance)
    pendown()

def square(size):
    "Draws a square of side length `size`"
    for side in range(4):
        forward(size)
        left(90)
